Download the PHP package topthink/think-swoole without Composer

On this page you can find all versions of the php package topthink/think-swoole. It is possible to download/install these versions without Composer. Possible dependencies are resolved automatically.

Please rate this library. Is it a good library?

All versions of think-swoole with dependencies

Informations about the package think-swoole

ThinkPHP Swoole 扩展

安装

首先按照Swoole官网说明安装swoole扩展,然后使用

composer require topthink/think-swoole

安装swoole扩展。

使用方法

直接在命令行下启动HTTP服务端。

php think swoole

启动完成后,默认会在0.0.0.0:80启动一个HTTP Server,可以直接访问当前的应用。

swoole的相关参数可以在config/swoole.php里面配置(具体参考配置文件内容)。

如果需要使用守护进程方式运行,可以配置

'options'   =>  [
    'daemonize' =>  true
]

支持的操作包括

php think swoole [start|stop|reload|restart]

Version
Requires php Version >7.1
ext-swoole Version >=4.4.8
ext-json Version *
topthink/framework Version ^6.0
symfony/finder Version ^4.3.2|^5.1
swoole/ide-helper Version ^4.3
nette/php-generator Version ^3.2
open-smf/connection-pool Version ~1.0

The package topthink/think-swoole contains the following files

Loading the files please wait ....